## qmidictl 0.9.10

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.15)

project (qmidictl
  VERSION 0.9.10
  DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
  LANGUAGES C CXX)

set (CONFIG_VERSION ${PROJECT_VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${PROJECT_VERSION}")
endif ()

set (PACKAGE_NAME "QmidiCtl")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qmidictl")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_DEBUG 0)
  set (CONFIG_BUILD_TYPE "release")
  set (CMAKE_BUILD_TYPE "Release")
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable Network IPv6 support option.
option (CONFIG_IPV6 "Enable Network IPv6 support (default=yes)" 1)

# Enable Wayland support option.
option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)

# Enable Qt6 build preference.
option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt...
if (CONFIG_QT6)
  find_package (Qt6 QUIET)
  if (NOT Qt6_FOUND)
    set (CONFIG_QT6 0)
  endif ()
endif ()

if (CONFIG_QT6)
  find_package (QT QUIET NAMES Qt6)
else ()
  find_package (QT QUIET NAMES Qt5)
endif ()

find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Svg)

if (CONFIG_IPV6)
  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
endif ()

#find_package (Qt${QT_VERSION_MAJOR}LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


add_subdirectory (src)


# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()

message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  Network IPv6 support . . . . . . . . . . . . . . ." CONFIG_IPV6)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

## qmidictl 0.0.1-1

=== debian/changelog ===
qmidictl (0.0.1-1) unstable; urgency=low

  * Initial debianization

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu,  6 Mar 2010 12:00:00 +0000

=== debian/control ===
Source: qmidictl
Section: user/other
Priority: extra
Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4)
Standards-Version: 3.7.2

Package: qmidictl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A MIDI remote controller via UDP/IP multicast
 A MIDI remote controller application that sends MIDI data
 over the network, using UDP/IP multicast. Inspired by
 multimidicast (http://llg.cubic.org/tools) and designed
 to be compatible with ipMIDI for Windows (http://nerds.de).

=== debian/rules ===
#!/usr/bin/make -f
#
APPNAME := qmidictl

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	-$(MAKE) -f Makefile.svn

	./configure --prefix=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f Makefile.svn clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qmidictl 0.0.1-2

=== debian/changelog ===
qmidictl (0.0.1-2) unstable; urgency=low

  * Attempt to comply with maemo.org extras-testing promotion.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 11 Mar 2010 18:00:00 +0000

=== debian/control ===
Source: qmidictl
Section: user/multimedia
Priority: extra
Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4)
Standards-Version: 3.7.2
Homepage: https://garage.maemo.org/projects/qmidictl/
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1436

Package: qmidictl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A MIDI remote controller via UDP/IP multicast
 A MIDI remote controller application that sends MIDI data
 over the network, using UDP/IP multicast. Inspired by
 multimidicast (http://llg.cubic.org/tools) and designed
 to be compatible with ipMIDI for Windows (http://nerds.de).
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAADflJREFUaN7tmnl0VHWWxz+v9soupFLZQxKSsAgaAoZFRbAhYFxQW0AH
 WmdGaeNgj7Mdxx7t6fY4PRuiSPeoPThuKCjqMN1iCCrTRFQIIQgIBpJQ2UhC
 VaoqldT+6r3f/MErT8kJKErs/mN+57xz6uS8/Op+7v3e+7v3l8D/rz+itWjJ
 Ig/gBVLH+ruEEBmqqv6vEMIhhHAoitL4/PPPG7/9jno85SXFavOhZrW6aoYA
 0gBprADcbneREEKoqiriS1VVoaqqCAQCD/b19WVdzH6STi9571hxh7p40RLR
 cvigeuvtywRQNVYQGzZsSGtsbFz39ttvN2zfvv2TWCymiIQly/Lg8PDwT71e
 b/HXGg8YgeLKK6aJW25bplZfNUd8dqRF3PNndw8DnTcvu+mjMWAwAZXAj4GH
 p0+fvr60tPTXXV1dZxKjEgwGD999990Z53Ok7ksBge7Q4aMr5BG/ZDab+PN7
 1jCxMC91wy8fKSrPtV99mdX8nwnvf+elKEqzEKJFVdXnBgYGrrXZbHvGjRv3
 eVFR0T+tXr36pf7+frcsyzGr1Tp948aNny5btmzc+SAkwAqUA3cAzyy4/jpR
 PaNcrfuThWLTvz8s9v7uFfWZxx8R9vHjXrhEEJKiKH5xzopGo4NHjhxZV1tb
 uxK4/8knn3w3Go3KqqoKn8/3+a5duyaPBhGXUC5wHfAA8G+rbpkjfvrAUrF2
 9fXi1//y12LP9hfVhq0viCSzuRPoBDzfAUC3atWquVOnTn107969x85NZr/f
 f7SsrOxK4Ppnn312azQalYUQorm5eQOQfK7xcSlZgWxgIlBenJf5zJ23zCIY
 jCGrMGXyTILRGN4A9Ltd5OXmic2bN/s7HV0ZgNCeb7S6u7vHbdu2rbyxsfHy
 gwcPpvX29qauXLmyYv369YszMzPTjUajYXh4+MTixYuX7N+/3+5yubZnZmZm
 +/3+kbq6ukWbN29uBpS49tG+XAWigAwwNBIsdnr9BVdU5CKZjbT1eJi/9DZq
 bliKUW+go71dml010yyZ9Ld3Orp+czEA69ate3/OnDm/uPPOO29eu3btrEWL
 FnXX19d/tHbt2saMjAzdzJkzS6xWa9by5csXp6SkvHn06FHHvHnzak0mk9lk
 MkW2bNnyERAZbW+DVv8nAz/Uw4Gppdli6XVXintW3yPqd+4QDe/vFCfbT4hX
 X3tF/Pj+NepP/+HvReWMK0c0GX6jkhsIBLbEa/7XyaapqekZoMzpdHbH3wUq
 Epw/aj5kAdcAD0p6hnR6RFFBnnho7V+I+ob3xEcfN4ovThwXW7a+Jh64f434
 j+d+pc6orLoYiFzgT++6665XT58+PRg31ufztVZXV08Aql0uV78GNrxixYrr
 ampqauMAVqv1pngunFtRhKatAOAC+iUFs6RAf+9p3ti6jZ3v7sDtGuSM00n1
 7NnMmTePzz87Ii25YVHKkhtqDmlRlC7QQkz0+XxrPvvssyqn07k7Ly/vsY0b
 NzbIshxLTU2taGho2PHEE09EXn755ScAkpOTU3t6evJKS0tHFEVRAVpbW9cB
 lgt5yAhkArO0gyaepGJicbG4/941on7nDlG/c4c40X5CvPjSC+Jv//In6i+f
 eFzcetuyPqArO9femZOb3Ql85RCMRqOPxT0ZCASOXEg28erU0tJyAJjc1NT0
 lhBCeDweD1DKBWp6DBgB+oB2IKzXjs4eh4P6Xe+x6916VCHwuN3MnTeP0skV
 0rFjx5hRNSPnrbffLPzFYz8reuDe+4pmVc+82mw1Pg8UAVJfX1/LyMhIpxCC
 pKSkac3NzVurq6s76urqnvL5fIMAU6ZMuWfu3LmZ3d3dH0qSRGVl5UwgzWKx
 uIUQqKqq03L1vABCq0bDmpTuV8AZ1Z3VxpnTfWx9Yxu73qvHOXCGjhMncblc
 /OShh7j55puJhsIoCEJC4ZrZc0XNopo16RlpncCaCRMm7E1LS1v74YcfHgQ4
 n2xsNtuUurq6dQk2FQJOAJfLNaJJ9YIJJ2lOtwOXA9OQeByBySiBLKCspJgr
 ZswkEg0xZ+YsjBYT+YWFLFiwgBG/n+7ubjodDk5393Kio03seHeHNOT1PQj8
 Fpi6e/funy9YsOAqgJaWlmerqqqeEkKcBJg/f/4/jhs3bu+bb75Z73Q6h/Pz
 8x+urKxsvuyyyxaePHmyoLe3dzNwyHChlj1BSv1AJoJ/RuIRGUxGoOuUA7fH
 zcSKCvbu30+OPYeKKVNwezzk5uae1WIshhyJohNCSlm5Qqxf99RGWZb/JiMj
 Y87ChQsfHRgY2Gy327O6urryAJPD4XhfCDG5u7tbNDY2DphMplpgNhA8dOiQ
 B9gHdAOD8bp/oaUCQeAMkAKYEPwrUCfryESF4aFh2o4dJ1BUTHF+HscOH0FR
 FHQ6Hfn5+RgMBgwGA+h1mM0WKSkpCb/fPwFYCzy7ZcuW9TabbcmmTZtOAeaS
 kpK/Aq4F/Jrz2rRDaxBway3MF5pdox8Go0DEtFNa1aDbEFQBJgGEojJR/whB
 WZBisRCNhEGvw2gwkp2djV6vR6/X4w8G2bJ5M09veEYMugevjUaiAw0NDa+/
 8847fZ2dnU6gAxjQHNapaX5IU4A7oVOIaLZ8I4A4ROIvGixWy6KYErPEy0BE
 jhELBQkqMVLMVhRZBknCaDJRUFBwNgqA84yTaCgk2exZYsg3tDgYDH0A7Acc
 WsEIamOtT/tOVTub1NEHyW84wmqbxCHETbfc+KPW463GxDIQCoeRYgq+QJhk
 q4lYLIak12MwGMjLy8NisZCSmoLJYkYNRyVFQvQPDKxSFbUT2BPvwy6mOdRf
 RAucCBHzDfma/AH/8i8BpLPPSNBPyOclJEOK9aycJL0eo9FIQUEBh1sO0dnW
 zvgcO3k2uzQ+M1O4Pe7aQCDoAg5eTFN4sQCJXSt+v9+AxCokjHHjkc6+oUZl
 IolyisWQVYUd72ynqvoqrrluPmazmXA4jN8/IoWCshgJ+GqjkejHmvbFWAEk
 jqLJwBdI3Ij46omiAJFwGGIKvmCYWDSCo72DqjlXMWnSZBztHbQeO87wyAjp
 aelMKCmU8uzZore/70ehYOiiIvFtAKSErtUClCGRd+4bQpOT3z2I1zfCpPJy
 JFWw5/d7SE5LJSc3h/yiQlRVJTUtDbPRJBXnF4iO7s7ai4H4thGIg5i1fqkS
 ifSvREKTU0RRMJnNBCIhnB4P4zPSsSZZyc7JASGwmC309vRweqAfDHpp9owq
 4ejpqh3xj3yM+Ho5Sd/ReDswFZiKxGokpn0JEa8j2ueMtBSqZlYzfepksmw2
 UjPSMRqNCAE2Wyaz5sxBpzcCKu5Bl1ixYqXUerw1GQifr4R+1wgkmhiPhA0J
 +1cwBUh6KCkuR5IkYiiY9HpOtLczsbSUsimTSU5J5b+3/YZPd/+KT/cdJT09
 V7KPy8CckrS4/WT7K/H591IDxPM1/hg0iAqks61uHMCelU1KqpXklGT8wwGc
 nkFuXLKUwtJiOtraOO04xb33VTHtigZSpD3U//b3KKZiXnlpsx54MaELuOQA
 IqHNkLX9Or6MhACdXofdbiM5OZlQQEZWZG5YUoM9P4fG3XuI+oM8/NjPMFnL
 MFrKsCYdJzOjk+MtbRw44g8Cb2gTYmwsAM5tM2Lann0IbOiw6ySJnGw7qiKh
 MwhysrIoLy2lx9HFf23axHA4SJLJxKRpUzEb8zAmlWOxfs749H7SLZakA0ci
 QaAp3gGMBUBiw3cuRIVOr0sbnzkeizmJcCRERXk5erOJ115/nQHXIF6vh76B
 AVKsVkorJmM2FpOcXIYp6QC2jCEiIevVZ5yx/aGw2jaajC4VwPkgOgCb1Zpk
 N5p0JFnSyBifTnfPILfW7udYq4EhTwT3wABdPT3Yxo+nYkoFZnMZPT069jXt
 liJhnWg7FV7hDwgn0HxuFC4lwOgQgr6Az2fLsmfZz5zuwZaTi3/gOC/83SCp
 hWb2NyuEZCNul4sOxymSjCY+bmripeee4623HNxeO1860uYSMSV8QziMXxto
 xFgBjAqhQt+ZM84KW7Y9TSdBnyfK/FQXtTUxoilw6LDC0FCUIa+HlpbDfLLz
 Fe6971ZaOxy07GtlSc0s6eTJXgIR3TGhij2JZXUsAM4rJ693yCZHZbvVbOWj
 4wGutMZYvgxSC600tQi83igrf1hCRLLzwa6dTJlUSkxVSEtSyC4o4fCRni+A
 T77NQHPJEjsSDNg8Po/d7ZU45FCoSoaaa2MYbBKt7TmkW/VkF06nIH86w+42
 blo2i7d/d4x9n3SiKqpDPTv8+LXKJ8YS4LxyEqo4HFWUQ91uKdTSJRVdk6XH
 5ZXoD1/OvIXLuXXZbcy+eh5yJJmD+z9k0tTL2XugDVVwDGjR5uLI9wEwGoSU
 cIfqPO2RQkd71OKAV4cwC35Q8wNmzVxIaXEJ2fl5DPvNvLplJz6v7wNgtzYz
 D2o9kjB8DwBCO6l92nVI/KZj/Nk/54qhvcdxRcy6Fbk6HSf3vMj0yyeRln4N
 pcUT8YdkXE7X/2g3hLLmBHWsk/hCJ3ZIu/Hzak8UCPa7hFhbFyo12qaTnVXC
 4GCARx9+1L/+6af3ybJ8Urud6NOc4I3ngMT3uyTNaQZNRklaSz4RKAGWFhSa
 Uw2qRXL0+gxazY9HrwtoBU5pVyx/EIBzpzq99l8BuUCZduNsS7g6lzXjT2sS
 ciTq//uW0PnmiXiCywk/k7VbOacmmQ4tAp5zmzqJP/ySNEmlaN7P0j4Lrd57
 NMkMjzYX/DEAJOaGWZOPKSESYc3w2Gjt9P8Blmoftc0K2d4AAAAASUVORK5C
 YII=

## qmidictl 0.0.9-3

=== debian/changelog ===
qmidictl (0.0.9-3) unstable; urgency=low

  * MIDI controller assignment configuration debut.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 26 Apr 2010 10:00:00 +0000

## qmidictl 0.0.9-3.1

=== debian/changelog ===
qmidictl (0.0.9-3.1) unstable; urgency=low

  * MIDI controller assignment configuration debut.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 25 May 2010 18:00:00 +0000

## qmidictl 0.1.0-4

=== debian/changelog ===
qmidictl (0.1.0-4) unstable; urgency=low

  * Second public release

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri,  3 Sep 2010 20:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4)
 Standards-Version: 3.7.2
 Homepage: https://garage.maemo.org/projects/qmidictl/
-XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1436
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5228&group_id=1436
 
 Package: qmidictl
 Architecture: any
@@ -15,6 +15,7 @@
  over the network, using UDP/IP multicast. Inspired by
  multimidicast (http://llg.cubic.org/tools) and designed
  to be compatible with ipMIDI for Windows (http://nerds.de).
+XB-Maemo-Display-Name: QmidiCtl
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAADflJREFUaN7tmnl0VHWWxz+v9soupFLZQxKSsAgaAoZFRbAhYFxQW0AH

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/$(APPNAME) install
 
 
 # Build architecture-independent files here.

## qmidictl 0.9.10

=== debian/changelog ===
qmidictl (0.9.10-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:32:49 +1100

qmidictl (0.9.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:32 +1100

qmidictl (0.9.10-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:34 +0000

qmidictl (0.9.10-1) unstable; urgency=low

  * Initial upload, based on upstream debian/.  Closes: #1050379.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Aug 2023 09:40:55 +0000

=== debian/control ===
Source: qmidictl
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libxkbcommon-dev,
  qt6-base-dev (>= 6.1),
  qt6-svg-dev (>= 6.1),
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/qmidictl.git
Vcs-Browser: https://salsa.debian.org/debian/qmidictl
Rules-Requires-Root: no
Homepage: https:/qmidictl.sourceforge.io

Package: qmidictl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt6svg6 (>= 6.1),
  qt6-qpa-plugins | base-files (<< 12)
Suggests: qmidinet
Description: graphical application sending MIDI Machine Control commands over the network
 The MIDI Machine Control specification defines commands like Play,
 Pause and Record for remote control of audio recording equipment.
 .
 Originally inspired by multimidicast, the qmidictl application
 imitates a MIDI control surface, on which the user selects commands
 to send over the network using UDP/IP multicast.
 Programs like qmidinet on Linux or ipMIDI on Windows can then forward
 the commands, for example to a concrete cable.

=== debian/rules ===
#!/usr/bin/make -f

# hardening=... affects dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

# override_dh_auto_configure:
# 	dh_auto_configure -DCONFIG_WAYLAND=on

=== debian/watch ===
version=4
http://sf.net/qmidictl/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## qmidictl 0.9.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,17 @@
 cmake_minimum_required (VERSION 3.15)
 
-project (qmidictl
-  VERSION 0.9.10
+project (QmidiCtl
+  VERSION 0.9.91
   DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
+  HOMEPAGE_URL "https://qmidictl.sourceforge.io"
   LANGUAGES C CXX)
 
-set (CONFIG_VERSION ${PROJECT_VERSION})
+set (PROJECT_TITLE "${PROJECT_NAME}")
+string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
+
+set (PROJECT_COPYRIGHT "Copyright (C) 2010-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_DOMAIN    "rncbc.org")
+
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
@@ -13,32 +19,24 @@
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
-  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
-  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
+  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
+  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
-    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
+  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
+    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
-else ()
-  set (VERSION "${PROJECT_VERSION}")
+  set (PROJECT_VERSION "${GIT_VERSION}")
 endif ()
 
-set (PACKAGE_NAME "QmidiCtl")
-set (PACKAGE_VERSION "${VERSION}")
-set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
-set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
-set (PACKAGE_TARNAME "qmidictl")
-
-set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
   set (CONFIG_DEBUG 1)
@@ -119,7 +117,7 @@
   endif ()
 endmacro ()
 
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
+message   ("\n  ${PROJECT_TITLE} ${PROJECT_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  Network IPv6 support . . . . . . . . . . . . . . ." CONFIG_IPV6)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== debian/changelog ===
qmidictl (0.9.91-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete base-files (<< 12) fallback dependency.
  * Remove libqt6svg6 dependency, it duplicates shlibs:Depends.
  * Allow the package to build with qt5.
  * Remove encoding key from appdata desktop file.
  * Remove artificial dependency on Qt SVG component.
  * Include /usr/share/dpkg/buildflags.mk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 10 May 2024 09:59:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: qmidictl
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
   cmake,
   debhelper-compat (= 13),
   libxkbcommon-dev,
-  qt6-base-dev (>= 6.1),
-  qt6-svg-dev (>= 6.1),
-Standards-Version: 4.6.2
+  qt6-base-dev (>= 6.1) | qtbase5-dev (>= 5.1),
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/qmidictl.git
 Vcs-Browser: https://salsa.debian.org/debian/qmidictl
 Rules-Requires-Root: no
@@ -18,8 +16,6 @@
 Package: qmidictl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  libqt6svg6 (>= 6.1),
-  qt6-qpa-plugins | base-files (<< 12)
 Suggests: qmidinet
 Description: graphical application sending MIDI Machine Control commands over the network
  The MIDI Machine Control specification defines commands like Play,

## qmidictl 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QmidiCtl
-  VERSION 0.9.91
+  VERSION 1.0.0
   DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
   HOMEPAGE_URL "https://qmidictl.sourceforge.io"
   LANGUAGES C CXX)

=== debian/changelog ===
qmidictl (1.0.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.0.
  * Revert to Qt5 builds by default for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 12:06:38 -0700

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## qmidictl 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QmidiCtl
-  VERSION 1.0.0
+  VERSION 1.0.1
   DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
   HOMEPAGE_URL "https://qmidictl.sourceforge.io"
   LANGUAGES C CXX)
@@ -21,8 +21,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
@@ -59,8 +57,11 @@
 # Enable Network IPv6 support option.
 option (CONFIG_IPV6 "Enable Network IPv6 support (default=yes)" 1)
 
+# Enable Multi-touch support option.
+option (CONFIG_MULTI_TOUCH "Enable multi-touch support (default=yes)" 1)
+
 # Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
+option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=yes)" 1)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
@@ -108,6 +109,11 @@
 add_subdirectory (src)
 
 
+# Finally check whether Qt is statically linked.
+if (QT_FEATURE_static)
+  set(QT_VERSION "${QT_VERSION}-static")
+endif ()
+
 # Configuration status
 macro (SHOW_OPTION text value)
   if (${value})
@@ -120,4 +126,5 @@
 message   ("\n  ${PROJECT_TITLE} ${PROJECT_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  Network IPv6 support . . . . . . . . . . . . . . ." CONFIG_IPV6)
+show_option ("  Multi-touch support  . . . . . . . . . . . . . . ." CONFIG_MULTI_TOUCH)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
# project (qmidictl)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

set (CMAKE_AUTOUIC ON)
set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTORCC ON)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif ()
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


set (HEADERS
  qmidictlAbout.h
  qmidictlOptions.h
  qmidictlMidiControl.h
  qmidictlMidiControlForm.h
  qmidictlOptionsForm.h
  qmidictlUdpDevice.h
  qmidictlMixerStrip.h
  qmidictlDialStyle.h
  qmidictlActionBar.h
  qmidictlActionBarStyle.h
  qmidictlMainForm.h
)

set (SOURCES
  qmidictl.cpp
  qmidictlOptions.cpp
  qmidictlOptionsForm.cpp
  qmidictlMidiControl.cpp
  qmidictlMidiControlForm.cpp
  qmidictlUdpDevice.cpp
  qmidictlMixerStrip.cpp
  qmidictlDialStyle.cpp
  qmidictlActionBar.cpp
  qmidictlActionBarStyle.cpp
  qmidictlMainForm.cpp
)

set (FORMS
  qmidictlOptionsForm.ui
  qmidictlMidiControlForm.ui
  qmidictlMixerStrip.ui
  qmidictlMainForm.ui
)

set (RESOURCES
  qmidictl.qrc
)


if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()

if (ANDROID AND QT_VERSION_MAJOR GREATER_EQUAL 6)
  qt_add_executable (${PROJECT_NAME} MANUAL_FINALIZATION
    ${HEADERS}
    ${SOURCES}
    ${FORMS}
    ${RESOURCES}
  )
else ()
  if (ANDROID)
    add_library (${PROJECT_NAME} SHARED
      ${HEADERS}
      ${SOURCES}
      ${FORMS}
      ${RESOURCES}
    )
  else ()
    add_executable (${PROJECT_NAME}
      ${HEADERS}
      ${SOURCES}
      ${FORMS}
      ${RESOURCES}
  )
  endif ()
endif ()

if (ANDROID)
  set_property(TARGET ${PROJECT_NAME}
    APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
      ${CMAKE_CURRENT_SOURCE_DIR}/android)
  string (REPLACE "." "0" VERSION_CODE "0${PROJECT_VERSION}")
  if (ANDROID_ABI MATCHES "x86_64")
     set (VERSION_CODE "${VERSION_CODE}04")
  elseif (ANDROID_ABI MATCHES "x86")
     set (VERSION_CODE "${VERSION_CODE}03")
  elseif (ANDROID_ABI MATCHES "armeabi-v7a")
     set (VERSION_CODE "${VERSION_CODE}02")
  elseif (ANDROID_ABI MATCHES "arm64-v8a")
     set (VERSION_CODE "${VERSION_CODE}01")
  else ()
     set (VERSION_CODE "${VERSION_CODE}00")
  endif ()
  set (VERSION_NAME "${PROJECT_VERSION}.${ANDROID_ABI}")
  set_property(TARGET ${PROJECT_NAME}
    APPEND PROPERTY QT_ANDROID_VERSION_CODE ${VERSION_CODE})
  set_property(TARGET ${PROJECT_NAME}
    APPEND PROPERTY QT_ANDROID_VERSION_NAME ${VERSION_NAME})
endif ()


# Add some debugger flags.
if (CONFIG_DEBUG AND UNIX AND NOT APPLE AND NOT ANDROID)
  set (CONFIG_DEBUG_OPTIONS -g -fsanitize=address -fno-omit-frame-pointer)
  target_compile_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
  target_link_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
endif ()

set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

if (WIN32)
  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Svg)

if (CONFIG_IPV6)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
endif ()

if (UNIX AND NOT APPLE AND NOT ANDROID)
  install (TARGETS ${PROJECT_NAME} RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES images/${PROJECT_NAME}.png
    RENAME org.rncbc.${PROJECT_NAME}.png
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${PROJECT_NAME}.svg
    RENAME org.rncbc.${PROJECT_NAME}.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/org.rncbc.${PROJECT_NAME}.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES appdata/org.rncbc.${PROJECT_NAME}.metainfo.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES man1/${PROJECT_NAME}.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  install (FILES man1/${PROJECT_NAME}.fr.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
endif ()

if (WIN32)
  install (TARGETS ${PROJECT_NAME} RUNTIME
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  install (FILES ${QM_FILES}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
endif ()

if (ANDROID AND QT_VERSION_MAJOR GREATER_EQUAL 6)
  qt_finalize_executable (${PROJECT_NAME})
endif ()

=== debian/changelog ===
qmidictl (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on qt6 (without obsolete version restrictions or qt5).
  * Tell gbp.conf to clone upstream history and use pristine-tar.
  * Update Standards-Version, upstream/medadata, patches, copyright years.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 17 Feb 2025 21:13:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
   cmake,
   debhelper-compat (= 13),
   libxkbcommon-dev,
-  qt6-base-dev (>= 6.1) | qtbase5-dev (>= 5.1),
-Standards-Version: 4.7.0
+  qt6-base-dev,
+Standards-Version: 4.7.1
 Vcs-Git: https://salsa.debian.org/debian/qmidictl.git
 Vcs-Browser: https://salsa.debian.org/debian/qmidictl
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## qmidictl 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QmidiCtl
-  VERSION 1.0.1
+  VERSION 1.0.2
   DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
   HOMEPAGE_URL "https://qmidictl.sourceforge.io"
   LANGUAGES C CXX)
@@ -9,7 +9,7 @@
 set (PROJECT_TITLE "${PROJECT_NAME}")
 string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2010-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2010-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 execute_process (
@@ -61,7 +61,7 @@
 option (CONFIG_MULTI_TOUCH "Enable multi-touch support (default=yes)" 1)
 
 # Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=yes)" 1)
+option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)

=== debian/changelog ===
qmidictl (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Package with debputy instead of debhelper.
  * Enable salsa continuous integration via debian/salsa-ci.yml.
  * Update watch file to format version 5.
  * Drop now redundant Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 31 Oct 2025 14:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
   cmake,
-  debhelper-compat (= 13),
+  debputy (>= 0.1.45~),
+  dpkg-dev (>= 1.22.7~),
   libxkbcommon-dev,
   qt6-base-dev,
-Standards-Version: 4.7.1
+Build-Driver: debputy
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/qmidictl.git
 Vcs-Browser: https://salsa.debian.org/debian/qmidictl
-Rules-Requires-Root: no
 Homepage: https:/qmidictl.sourceforge.io
 
 Package: qmidictl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
 Suggests: qmidinet
 Description: graphical application sending MIDI Machine Control commands over the network
  The MIDI Machine Control specification defines commands like Play,

=== debian/watch ===
Version: 5

Source: http://sf.net/qmidictl/

## qmidictl 1.0.2.6git.bc778a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QmidiCtl
-  VERSION 1.0.2
+  VERSION 1.0.2.6
   DESCRIPTION "A MIDI Remote Controller via UDP/IP Multicast"
   HOMEPAGE_URL "https://qmidictl.sourceforge.io"
   LANGUAGES C CXX)
@@ -60,8 +60,6 @@
 # Enable Multi-touch support option.
 option (CONFIG_MULTI_TOUCH "Enable multi-touch support (default=yes)" 1)
 
-# Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
